* PACKAGE IHSTRG !" $B%R%9%H%j!<(B $B=PNOEPO?(B 
*
*"$BMzNr(B  96/09/03 $BC]9-??0l(B
*
***********************************************************************
*"          << $BF~=PNO=i4|@_Dj(B >>
***********************************************************************
      SUBROUTINE IHSTRT
*
*   [PARAM] 
#ifdef SYS_IBMS
      INCLUDE   (ZHDIM)                      !" $BJ8;zNsJ8;z?t(B
#else
#include        "zhdim.F"                    !" $BJ8;zNsJ8;z?t(B
#endif
*
* [INTERNAL WORK]
      CHARACTER  RUN  *(NCC)                 !" $B<B83L>(B
      CHARACTER  SIGN *(NCC)                 !" $B<B83<TL>(B
*
      REAL       VMISS
      INTEGER    IFPAR, JFPAR
*
      NAMELIST    /NMRUN/  RUN   , SIGN
      NAMELIST    /NMFILE/ VMISS
*
*"         < 1. $B<B83L>(B >
*
      RUN  = 'baro/test'
      SIGN = 'baro'
*
      CALL   REWNML ( IFPAR , JFPAR )
      READ   ( IFPAR, NMRUN , END=1190 )
 1190 WRITE  ( JFPAR, NMRUN  )
*
      CALL GTCSET( 'DDSET' , RUN    )
      CALL GTCSET( 'MYSIGN', SIGN   )
*
*"         < 2. $B7gB;CM@_Dj(B >
*
      CALL GZDBGT( 'MISS', VMISS )
*
      CALL   REWNML ( IFPAR , JFPAR )
      READ   ( IFPAR, NMFILE, END=2190 )
 2190 CONTINUE
      WRITE  ( JFPAR, NMFILE )
*
      CALL GZDBST( 'MISS', VMISS )
*
      RETURN
      END
***********************************************************************
*"          << $BF~=PNO:G=*=hM}(B >>
***********************************************************************
      SUBROUTINE IHEND
*
      RETURN
      END
***********************************************************************
*"          << $BI8=`;~4VJ?6Q=PNO$NEPO?(B >>
***********************************************************************
      SUBROUTINE IHSTRG
*
      REAL       VMISS
      INTEGER    ISTYPL
      DATA       ISTYPL / 1 /
*
*"         < 3. $B%R%9%H%j!<EPO?(B >
*
      CALL GZDBGT( 'MISS', VMISS )
*
      CALL     HISTRG
     I       ( 'U     ', 'u-velocity          ' ,'m/s   ', 'ASFC',
     I           VMISS , VMISS , VMISS , VMISS , ISTYPL  ,
     I         'CON'   , '   ' , 0     , 0     , 'X'     ,'(F12.3)' )
*
      CALL     HISTRG
     I       ( 'V     ', 'v-velocity          ' ,'m/s   ', 'ASFC',
     I           VMISS , VMISS , VMISS , VMISS , ISTYPL  ,
     I         'CON'   , '   ' , 0     , 0     , 'X'     ,'(F12.3)' )
*
      CALL     HISTRG
     I       ( 'VOR   ', 'vorticity           ' ,'1/s   ', 'ASFC',
     I           VMISS , VMISS , VMISS , VMISS , ISTYPL  ,
     I         'CON'   , '   ' , 0     , 0     , 'X'     ,'(1PE12.3)' )
*
      CALL     HISTRG
     I       ( 'KE    ', 'kinetic energy      ' ,'m2/s2 ', 'ALEV',
     I           VMISS , VMISS , VMISS , VMISS , ISTYPL  ,
     I         'CON'   , '   ' , 0     , 0     , 'XYZ'   ,'(1PE12.3)' )
*
      CALL     HISTRG
     I       ( 'AM    ', 'angular momentum    ' ,'m2/s ', 'ALEV',
     I           VMISS , VMISS , VMISS , VMISS , ISTYPL  ,
     I         'CON'   , '   ' , 0     , 0     , 'XYZ'   ,'(1PE12.3)' )
*
      CALL     HISTRG
     I       ( 'PV    ', 'potential vorticity    ' ,'1/s    ', 'ALEV',
     I           VMISS , VMISS , VMISS , VMISS , ISTYPL  ,
     I         'CON'   , '   ' , 0     , 0     , 'XYZ'   ,'(1PE12.3)' )
*
      CALL     HISTRG
     I       ( 'ENS   ', 'enstrophy            ' ,'1/s^2 ', 'ALEV',
     I           VMISS , VMISS , VMISS , VMISS , ISTYPL  ,
     I         'CON'   , '   ' , 0     , 0     , 'XYZ'   ,'(1PE12.3)' )
*
      RETURN
      END
